/*********************************************** 
status.cpp

Purpose
Initialize the variables of the M_Status class.

Overview
Set counts to zero. Set defaults for debug and 
verbose printouts.

Definitions of Variables

External:
See generic.h


Internal:


***********************************************/

#include <stdlib.h>
#include <ctype.h>

#include "dlmodule_includes.h"

M_Status::M_Status(M_CmdParse *GP_Cmd)
{
	/* Constructor */
	I_status = GP_Cmd->GetStatus();	
	I_NaNFlag = 0;
	I_NaNCount = 0;	
	I_Debug = 0;
	I_Verbose = 0;	
	I_SuperVerbose = 0;

	GP_Cmd->get_flag_value("-d", I_Debug);
	GP_Cmd->get_flag_value("-v", I_Verbose);
	GP_Cmd->get_flag_value("-vv",I_SuperVerbose);
}


M_Status::~M_Status()
{

}
