#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>


double alphafactor(double fcentral) {

   long i, n;

   double alphafactor, f[6], a[6], slope, yint;

   f[0] = 0.0;
   f[1] = 0.2;
   f[2] = 0.4;
   f[3] = 0.6;
   f[4] = 0.8;
   f[5] = 1.0;

   a[0] = 1.253;
   a[1] = 1.184;
   a[2] = 1.126;
   a[3] = 1.080;
   a[4] = 1.036;
   a[5] = 1.000;

   n = 6;

   alphafactor = f[5];

   for (i = 1; i <  n; i++) {
      if (fcentral <= f[i]) {
         slope = (a[i] - a[i - 1])/(f[i] - f[i - 1]);
         yint = a[i] - slope * f[i];
         alphafactor = slope * fcentral + yint;
         break;
      } 
   }

   return alphafactor;
 
}


