#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

integrategauss(double xbot, double xtop, double *sum) {

      int n, i;

      double step, halfstep, x;

      n = 100000;
      step = (xtop - xbot) / (double) n;
      halfstep = 0.5 * step;

      *sum = gausspdf(xbot) + gausspdf(xtop);

      for (i = 2; i <= n - 1; i++) {
         x = xbot + (double)i * step;
         *sum += gausspdf(x) * 2.0 * x * x;
      }

      *sum *= halfstep;

}
