#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include "fitsio.h"
#include "writeDLhistoryline.h" 

void writeDLhistoryline(fitsfile *ffp_FITS, char *programname, 
   char *versionstring, int *I_fits_return_status) 
{
   time_t  timer;
   char    CP_History[81], program[129], version[32], timestring[32];

   time(&timer);
   sprintf(timestring, "%s", asctime(localtime(&timer)));
   sprintf(program, "%s", programname);
   sprintf(version, "%s", versionstring);
   program[25] = '\0';
   version[12] = '\0';
   timestring[24] = '\0';
   sprintf(CP_History, "%-25s %2s %12s, ran %24s", program, "v.", 
      version, timestring);
   fits_write_history(ffp_FITS,
		      CP_History,
		      I_fits_return_status);
   
}
