#ifndef __splinefunc
#define __splinefunc

typedef struct {
  int n;
  double *xtab,*ytab,*ytab_sigma,*ypp,*ypp_sigma; 
}splinetab_type;

#ifdef	__cplusplus
extern "C" {
#endif
int splinetab_alloc(int n,splinetab_type **table_p);

int splinetab(int n,double xtab[],double ytab[],double ytab_sigma[],splinetab_type **table_p);
int splinetab_float(int n,float xtab[],float ytab[],float ytab_sigma[],splinetab_type **table_p);
int splinetab_calc(splinetab_type *table);
int splineinterp(double x,double xsigma,double *y, double *ysigma,splinetab_type *table);

void splinefree(splinetab_type *table);
void spline_test(FILE* outfile,int order,int n, double sigmay, double sigmax) ;
void splitest_showit(FILE* outfile,int n, splinetab_type *sptab,char* lbl, double sigmay,double* ypp_calc) ;
  void nrsplint(double xa[], double ya[], double y2a[], int n, double x, double *y);
  void nrspline(double x[], double y[], int n, double yp1, double ypn, double y2[]);
#ifdef __cplusplus
 }
#endif

#endif

