/*********************************************** 
write_nan()

Purpose

If there was an error in the computation, replace the result by
an NaN which has diagnostic information encoded in it. 

Overview
Write ones in the most significant bits to make an NaN. Write the code
for the error in the least significant byte. Write the code for the
function in which the error occured in the second least signigicant
byte.

Definitions of Variables

External:
See generic_defs.h and generic_exec.c


Internal:
CP_Prob_fitsop = Array to write NaN as consectutive characters.
I_fitsop_message = Code of error that occurred.
I_fitsop_root = Code of function in which error occurred.

***********************************************/


#include <stdlib.h>

#include "dlmodule_includes.h"
static float fnanval=NANVALUE;
int write_nan(	double*		DP_Result,
		M_Status	*GP_Stat)
{

int	I_message;
int	I_root;
 
GP_Stat->I_NaNFlag = 1;

 *DP_Result=fnanval;

/* Update the NaN count */
GP_Stat->I_NaNCount++;

  return(GP_Stat->I_status);
}

static double dnanval=NANVALUE;

int write_nan(	float*		FP_Result,
		M_Status	*GP_Stat)
{
unsigned char	CP_Prob_interp[4];


GP_Stat->I_NaNFlag = 1;

/* Update the NaN count */
GP_Stat->I_NaNCount++;

*FP_Result=dnanval;


  return(GP_Stat->I_status);
}






