/*********************************************** 
dlutl_innerprod.c

Purpose

Compute the inner product of two vectors.

Overview


Definitions of Variables

Input:
I_Num_Columns  = Number of Vector Elements.
DP_Vec_In1 = First Input Vector.
DP_Vec_In2 = Second Input Vector.

Output:
DP_Inner_Prod_Out = Inner Product of the two vectors.

Internal:


***********************************************/

#include <stdio.h>
#include <string.h>
#include "dlutl.h"


dlutl_innerprod(	int	I_Num_Columns,
			double	*DP_Vec_In1,
			double	*DP_Vec_In2,
			double	*DP_Inner_Prod_Out,
			int	*IP_Status)
{
int	m;

if(*IP_Status) return;

*DP_Inner_Prod_Out = 0;

for(m=0;m<I_Num_Columns;m++)
*DP_Inner_Prod_Out += DP_Vec_In1[m]*DP_Vec_In2[m];


}





