#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

getlimits(double bigf, double *xbot, double *xtop) {
  int n, i;
  double a, b, step, halfstep, x, x2, rest, sum;

  rest = 1.0 - bigf;
  a = 0.0;
  b = 4.0;
  n = 100000;
  step = 4.0 / (double) n;
  halfstep = 0.5 * step;
  sum = 0.5;
  
  for (i = 1; i <= n - 1; i++) {
    x = a + ((double)(i-1)) * step;
    x2 = x + step;
    sum += (gausspdf(x) + gausspdf(x2)) * halfstep;
    if (sum >= rest) { break; }
  }
  *xbot = -x2;
  *xtop = x2;
}

