#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>


pull_datascale_estimate(double a[], long n, long k, double *pull) {

   /* Finds the kth-order statistic. */

   int j, l, lr, jnc;

   double *b, ax, buffer;

   b = (double *) calloc(n + 1000, sizeof(double));

   for (j = 1; j <= n; j++) {
      b[j] = a[j];
   }

   l = 1;
   lr = n;
 branch20:
   if (l >= lr) 
      goto branch90;
   ax = b[k];
   jnc = l;
   j = lr;
 branch30:
   if (jnc > j) 
      goto branch80;
 branch40:
   if (b[jnc] >= ax) 
      goto branch50;
   jnc += 1;
   goto branch40;
 branch50:
   if (b[j] <= ax) 
      goto branch60;
   j -= 1;
   goto branch50;
 branch60:
   if (jnc > j) 
      goto branch70;
   buffer = b[jnc];
   b[jnc] = b[j];
   b[j] = buffer;
   jnc += 1;
   j -= 1;
 branch70:
   goto branch30;
 branch80:
   if (j < k)
      l = jnc;
   if (k < jnc)
      lr = j;      
   goto branch20;
 branch90:
   *pull = b[k];

   free(b);

}



